package com.ozs.mdm.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class MdmInfoDataSourceInterfaceDTO {
    @ApiModelProperty("接口id")
    private String interfaceId;
    @ApiModelProperty("接口名称")
    private String interfaceName;
    @ApiModelProperty("接口描述")
    private String interfaceDesc;
    @ApiModelProperty("接口分类、接口所属项目id")
    private String projectId;
    @ApiModelProperty("接口分类、接口所属项目名称")
    private String projectName;
    @ApiModelProperty("接口地址")
    private String interfaceUrl;
    @ApiModelProperty("入参节点数")
    private Integer numberOfInputNodes;
    @ApiModelProperty("出参节点数")
    private Integer numberOfOutNodes;
    @ApiModelProperty("请求协议id")
    private Integer protocolId;
    @ApiModelProperty("接口请求方法id")
    private Integer methodId;
    @ApiModelProperty("接口请求方法名")
    private String methodName;
    @ApiModelProperty("操作员id")
    private String operatorId;
    @ApiModelProperty("更新时间")
    private Date updateTime;
    @ApiModelProperty("状态id")
    private String statusId;
    @ApiModelProperty("状态名称")
    private String statusName;

}
