package com.ozs.rpm.dto;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @ClassName: ReportRelUserDTO
 * @Description:报表授权用户参数类
 * @author: Zhao You Kai
 * @date: Mar 13, 2019 9:00:58 PM
 */
@Data
public class ReportRelUserDTO {
	@ApiModelProperty("报表ID-单个授权")
	private String reportId;
	@ApiModelProperty("批量报表ID")
	private List<String> reportIds;
	@ApiModelProperty("批量用户ID")
	private List<String> userIds;

	@ApiModelProperty("用户的批量KPI关联-单个授权")
	private List<ReportKpiRelUserDTO> kpiRelUsers;

}
